#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidWebhookHeaders {
    #[builder(default, list(item(type = String, into)))]
    #[serde(rename = "blockedHeaders", skip_serializing_if = "Vec::is_empty", default)]
    blocked_headers: Vec<String>,
}
impl InvalidWebhookHeaders {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn blocked_headers(&self) -> &[String] {
        &*self.blocked_headers
    }
}
impl conjure_error::ErrorType for InvalidWebhookHeaders {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:InvalidWebhookHeaders"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["blockedHeaders"]
    }
}
